GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Private Member Functions | List of all members
gridfire::exceptions::ReactionParsingError Class Referencefinal

`#include <error_reaction.h>`

Inheritance diagram for gridfire::exceptions::ReactionParsingError:
[legend]
Collaboration diagram for gridfire::exceptions::ReactionParsingError:
[legend]

## Private Member Functions
| ReactionError (const std::string &msg, const std::string &reactionId)

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::ReactionError
| ReactionError (const std::string &msg, const std::string &reactionId)
const char * | what () const noexcept override
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Member Function Documentation

## ◆ ReactionError()

gridfire::exceptions::ReactionError::ReactionError | ( | const std::string & | msg,
|  | const std::string & | reactionId )
| inline private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_reaction.h